cloud9のphpを5から7にバージョンアップする方法

WordPressプラグインでphp5.6以上を求めてくるのが増えてきたな〜
かといってcloud9は5.5のまま…どうしたものか…

ということで調べてみました。

cloud9ですでに作業をしているワークスペースだとphpのバージョンアップに不具合がでました。

phpのバージョンアップはまずapache2から

参照URL:Cloud9にPHP7をインストールする方法

php7.0用のapacheモジュールをインストール

ここで実行を聞かれるので 【enter】
ここで実行を聞かれるので 【Yをenter】
ここで実行を聞かれるので 【Yをenter】

apache2の設定を7.2に変更

Ubuntuのディストリービュージョンをアップグレード

ここで実行を聞かれるので 【enter】
ここで実行を聞かれるので 【Yをenter】
ここで実行を聞かれるので 【Yをenter】ここから少し時間かかる

ただ、このままだとデータベースMySQLは5.5のままになっているのでデータベースを変更していきます。

MySQLのインストール方法

途中で「more」とでてくるのでユーザー名とパスワードを設定していきます。
パスワードはタイピングしているのがわかりずらいので打ち間違いに注意です。

参考サイト:cloud9のPHPとMysqlをアップデートしよう

これでphp7、MySQL5.6にバージョンアップできました!